import { Bool, Str, Uid } from 'pinia-orm/dist/decorators'
import ApiResource from '~/models/ApiResource'

/**
 * Disponibilité (ouverture) de l'IEL
 */
export default class RegistrationAvailability extends ApiResource {
  static entity = 'online_registration/availability'

  @Uid()
  declare id: number | string | null

  @Bool(false)
  declare available: boolean

  @Str(null)
  declare message: string
}
